## soundgrab 0.7.0-1

=== Makefile ===
# Copyright (C) 2002  Britton Leo Kerin, see copyright.

# Where to install soundgrab script and its man page.
EXE_DIR = /usr/local/bin
MAN_DIR = /usr/local/man/man1

# Locations in this distribution package of the odd things soundgrab
# depends on.
CPAN_MODS_PATH = odd_things/cpan_modules
HIRES_MOD = Time-HiRes-01.20
READLINE_GNU_MOD = Term-ReadLine-Gnu-1.11
RAWREC_PATH = odd_things/rawrec-0.9.97

# I guess sometime you want to use 'dmake' on 'nmake' with perl
# modules.  Depending on what 'perl -V:make' tells you.  Huh.
PERLS_MAKE = `perl -V:make | perl -p -e "s/make='(.*)';/\\$$1/"`

# Delete out of date targets whose production commands return nonzero.
.DELETE_ON_ERROR:

usage: 
	@echo 'All this makefile does is install things, and you need to give' 
	@echo 'it a specific target, see INSTALL.'

install: 
	install -d $(EXE_DIR)
	install src/soundgrab $(EXE_DIR)
	install -d $(MAN_DIR)
	install --mode='u=rw,go=r' docs/soundgrab.1 $(MAN_DIR)

install_odd_things: install_cpan_modules install_rawrec

install_cpan_modules: install_hires install_readline_gnu

install_hires:
	cd $(CPAN_MODS_PATH) ; tar xzvf $(HIRES_MOD).tar.gz 
	cd $(CPAN_MODS_PATH)/$(HIRES_MOD) ; perl Makefile.PL ; \
		                            $(PERLS_MAKE) ; \
	                                    $(PERLS_MAKE) test ; \
	                                    $(PERLS_MAKE) install

install_readline_gnu:
	cd $(CPAN_MODS_PATH) ; tar xzvf $(READLINE_GNU_MOD).tar.gz
	cd $(CPAN_MODS_PATH)/$(READLINE_GNU_MOD) ; perl Makefile.PL ; \
	                                           $(PERLS_MAKE) ; \
	                                           $(PERLS_MAKE) test ; \
	                                           $(PERLS_MAKE) install

install_rawrec:
	$(MAKE) -C $(RAWREC_PATH)/src install

# This target leaves the tarred gzipped perl modules alone.
totally_clean:
	find . -name "*~" -exec rm -f \{\} \;
	cd $(CPAN_MODS_PATH) ; rm -rf $(HIRES_MOD) $(READLINE_GNU_MOD)
	$(MAKE) -C $(RAWREC_PATH)/src distclean

# Doesn't uninstall anything from the odd_things directory.
uninstall: 
	rm -f $(EXE_DIR)/soundgrab
	rm -r $(MAN_DIR)/soundgrab.1

# Non-file targets.
.PHONY: info install install_odd_things install_cpan_modules install_hires \
                install_readline_gnu install_rawrec uninstall

=== debian/changelog ===
soundgrab (0.7.0-1) unstable; urgency=low
  
  * Added new virtual package audio-mixer to 'Reccomends:' list.

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Wed,  6 Feb 2002 22:19:20 -0900

soundgrab (0.6.0-1) unstable; urgency=low
 
  * Updated Standards-Version to 3.5.6.0 in control file.
 
  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Mon, 10 Sep 2001 00:27:49 -0800

soundgrab (0.5.0-1) unstable; urgency=low

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Thu, 12 Jul 2001 12:06:36 -0800

soundgrab (0.4.0-1) unstable; urgency=low

  * Depends on flac and vorbis-tools in control.

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Wed, 11 Jul 2001 13:28:25 -0800

soundgrab (0.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Wed, 23 May 2001 10:47:14 -0800

soundgrab (0.3.0-1) unstable; urgency=low

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Mon, 21 May 2001 14:03:33 -0800

soundgrab (0.2.0-1) unstable; urgency=low

  * Build-Depends on debhelper in control.

  * debhelper version 3 semantics enabled in rules.

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Mon,  2 Apr 2001 18:04:44 -0800

soundgrab (0.1.0-2) unstable; urgency=low
  
  * Close the wnpp bug entry.  Closes bug#79704.

 -- Britton Leo Kerin <bkerin@debian.org>  Fri, 22 Dec 2000 14:25:33 -0900
  

soundgrab (0.1.0-1) unstable; urgency=low
  
  * no changes to upstream sources, other than addition of devian/
  
 -- Britton Leo Kerin <bkerin@debian.org>  Sun, 10 Dec 2000 01:33:33 -0900

=== debian/control ===
Source: soundgrab
Section: sound
Priority: optional
Maintainer: Britton Leo Kerin <bkerin@debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.6.0

Package: soundgrab
Architecture: all
Depends: perl5, rawrec, sox, libtime-hires-perl, libterm-readline-gnu-perl, flac, vorbis-tools
Recommends: audio-mixer | aumix | asmixer | gom | cam | mixer.app | tkmixer | xmix
Suggests:
Conflicts:
Provides:
Replaces:
Description: play a raw audio file and interactively select and save pieces
 From the perl department of the Maximegalon museum of diseased
 imaginings.
 .
 soundgrab is a script that lets you interactively select and save
 your favorite parts of a raw audio file to other files via a command
 line interface.  It does this by providing you with the basic
 commands you would expect from an audio cassette deck (play, stop,
 ff, rw) plus some additions: mark, which places a marker at the
 current position of the head, and export, which saves the audio data
 between the mark and the current head position to a file you specify
 in wav, cdr (cd mastering), raw data, flac, or ogg format.

=== debian/rules ===
#!/usr/bin/make -f

# Use debian 2.x policy compatible debhelper semantics.
export DH_COMPAT=3

clean: 
	dh_testdir
	dh_testroot
	dh_clean
	rm -f build-stamp

build: 
	touch build-stamp

install:
	dh_clean
	dh_installdirs usr/bin usr/share/man/man1 usr/share/doc/soundgrab
	$(MAKE) 'EXE_DIR = debian/soundgrab/usr/bin' \
                'MAN_DIR = debian/soundgrab/usr/share/man/man1' \
                install

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i ChangeLog
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install

binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean

## soundgrab 0.9.0-1

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,18 @@
 # Locations in this distribution package of the odd things soundgrab
 # depends on.
 CPAN_MODS_PATH = odd_things/cpan_modules
-HIRES_MOD = Time-HiRes-01.20
-READLINE_GNU_MOD = Term-ReadLine-Gnu-1.11
-RAWREC_PATH = odd_things/rawrec-0.9.97
+HIRES_MOD = Time-HiRes-1.42
+READLINE_GNU_MOD = Term-ReadLine-Gnu-1.13
+RAWREC_PATH = odd_things/rawrec-0.9.98
 
 # I guess sometime you want to use 'dmake' on 'nmake' with perl
 # modules.  Depending on what 'perl -V:make' tells you.  Huh.
 PERLS_MAKE = `perl -V:make | perl -p -e "s/make='(.*)';/\\$$1/"`
+# Perl 5.8.0 and later include Time::HiRes in the distribution.
+PERL_HAS_TIME_HIRES = `perl --version | perl -e 'while ( <> ) { if \
+                       ( m/v((5\.8\.\d)+|(5\.10\.\d+))/ ) \
+                       { print "true"; exit(0) } else { ; }} \
+                       print "defined but false"'`
 
 # Delete out of date targets whose production commands return nonzero.
 .DELETE_ON_ERROR:
@@ -22,22 +27,27 @@
 	@echo 'All this makefile does is install things, and you need to give' 
 	@echo 'it a specific target, see INSTALL.'
 
-install: 
+install: build_docs
 	install -d $(EXE_DIR)
 	install src/soundgrab $(EXE_DIR)
 	install -d $(MAN_DIR)
-	install --mode='u=rw,go=r' docs/soundgrab.1 $(MAN_DIR)
+	install --mode='u=rw,go=r' src/soundgrab.1 $(MAN_DIR)
+
+build_docs:
+	cd src ; pod2man soundgrab soundgrab.1
 
 install_odd_things: install_cpan_modules install_rawrec
 
 install_cpan_modules: install_hires install_readline_gnu
 
 install_hires:
-	cd $(CPAN_MODS_PATH) ; tar xzvf $(HIRES_MOD).tar.gz 
-	cd $(CPAN_MODS_PATH)/$(HIRES_MOD) ; perl Makefile.PL ; \
-		                            $(PERLS_MAKE) ; \
-	                                    $(PERLS_MAKE) test ; \
-	                                    $(PERLS_MAKE) install
+	if [ "$(PERL_HAS_TIME_HIRES)" != "true" ]; then \
+	    cd $(CPAN_MODS_PATH) ; tar xzvf $(HIRES_MOD).tar.gz ; \
+	                           cd $(HIRES_MOD) ; perl Makefile.PL ; \
+		                                     $(PERLS_MAKE) ; \
+	                                             $(PERLS_MAKE) test ; \
+	                                    	     $(PERLS_MAKE) install ; \
+	fi
 
 install_readline_gnu:
 	cd $(CPAN_MODS_PATH) ; tar xzvf $(READLINE_GNU_MOD).tar.gz
@@ -52,11 +62,15 @@
 # This target leaves the tarred gzipped perl modules alone.
 totally_clean:
 	find . -name "*~" -exec rm -f \{\} \;
+	rm -rf src/soundgrab.1 src/TAGS
 	cd $(CPAN_MODS_PATH) ; rm -rf $(HIRES_MOD) $(READLINE_GNU_MOD)
 	$(MAKE) -C $(RAWREC_PATH)/src distclean
 
 # Doesn't uninstall anything from the odd_things directory.
 uninstall: 
+	@echo "Note: things from the odd_things directory don't actually get"
+	@echo "uninstalled by this target, since they may have come from"
+	@echo "somewhere else."
 	rm -f $(EXE_DIR)/soundgrab
 	rm -r $(MAN_DIR)/soundgrab.1

=== odd_things/rawrec-0.9.98/src/Makefile ===
# Copyright (C) 2002  Britton Leo Kerin, see copyright. 

PROG = rawrec
ALT_INVOC = rawplay

HEADERS = $(wildcard *.h)
OBJS = $(patsubst %.c,%.o,$(wildcard *.c))

CC = gcc
WARNFLAGS = -Wall -W -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes
DEBUGFLAGS =
OPTFLAGS = -O2

# Uncomment this to try to use untested priority ceiling/inheritance
# code (if system supports it).
#FANCY_THREAD_DEFINES = -DUSE_FANCY_PRIORITY_CODE

# FIXME: USEBUFFLOCK appears to be historic, and should probably go some day.
CFLAGS = $(WARNFLAGS) $(DEBUGFLAGS) $(OPTFLAGS) -DUSEBUFFLOCK \
         $(FANCY_THREAD_DEFINES) -D_REENTRANT -D_GNU_SOURCE \
         -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
LDFLAGS = -lm -lpthread

# The GNU way is just too painful.  I'm not writing three tiers of
# variables just to get to /usr/local/man/man1.  If it starts to seem 
# worthwhile to use autoconf, this stuff can change then.
EXE_DIR = /usr/local/bin
MAN_DIR = /usr/local/man/man1

# If a build command exits with non-zero return code, delete any target 
# file corresponding to that command.  Probably not relevant for this 
# Makefile, but very much the right thing to do in general. 
.DELETE_ON_ERROR:

all: $(PROG) $(ALT_INVOC)

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) -o $(PROG)

# Everything is rebuilt if this Makefile (which is hopefully named
# "Makefile" or any header changes.
$(OBJS): Makefile $(HEADERS)

$(ALT_INVOC): $(PROG)
	ln -sf $(PROG) $(ALT_INVOC)

# Build with debugging information.  As a bonus, emit extra warnings
# when compiling.  Needs gcc version 3.2 to be available by the name
# gcc-3.2 in order to work.  You may want to do a clean to force a
# rebuild of everything.
debug:
	$(MAKE) 'CC = gcc-3.2' \
		'DEBUGFLAGS = -ggdb3' \
		'OPTFLAGS = ' \
		'WARNFLAGS = $(WARNFLAGS) -Wbad-function-cast -Wcast-qual \
		-Wconversion -Wfloat-equal -Wsystem-headers' \
		all 

bin_install: all
	install -d $(EXE_DIR)
	install $(PROG) $(EXE_DIR)
	ln -sf $(PROG) $(EXE_DIR)/$(ALT_INVOC)
	chown root $(EXE_DIR)/$(PROG) $(EXE_DIR)/$(ALT_INVOC)
	chgrp root $(EXE_DIR)/$(PROG) $(EXE_DIR)/$(ALT_INVOC)
	@echo ''
	@echo '***** SECURITY WARNING *****'
	@echo ''
	@echo 'Making executable suid.'
	@echo '$(PROG) can provide soft real time scheduling capabilities as'
	@echo 'root that it cannot offer otherwise, but if security paranoia' 
	@echo 'is an issue, root permissions are no longer required.'
	@echo ''
	chmod go-w $(EXE_DIR)/$(PROG)
	chmod u+s $(EXE_DIR)/$(PROG)

man_install:
	install -d $(MAN_DIR)
	install --mode='u=rw,go=r' ../docs/user/$(PROG).1 $(MAN_DIR)
	ln -sf $(PROG).1 $(MAN_DIR)/$(ALT_INVOC).1

install: bin_install man_install

clean:
	rm -f $(PROG) $(ALT_INVOC) *.o

# This target is mainly used for development work.
distclean: clean
	@echo 'Cleaning src directory (cruft may remain in other dirs)...'
	rm -f TAGS
	rm -f *~

uninstall:
	rm -f $(EXE_DIR)/$(ALT_INVOC)
	rm -f $(EXE_DIR)/$(PROG)
	rm -f $(MAN_DIR)/$(ALT_INVOC).1
	rm -f $(MAN_DIR)/$(PROG).1

.PHONY: all debug install bin_install man_install clean distclean uninstall

=== debian/changelog ===
soundgrab (0.9.0-1) unstable; urgency=low

  * Changed rules to use debhelper version 4.x compatible debhelper
    semantics.

  * Removed dependency on libtime-hires-perl, changed dependency on
    perl5 to dependency on perl (>= 5.8.0).

  * Updated control Standards-Version to 3.5.8.0.

  * Updated copyright file to point to new web page.

  * New upstream version.

 -- Britton Leo Kerin <bkerin@debian.org>  Tue, 11 Feb 2003 19:54:52 -0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Britton Leo Kerin <bkerin@debian.org>
 Build-Depends: debhelper
-Standards-Version: 3.5.6.0
+Standards-Version: 3.5.8.0
 
 Package: soundgrab
 Architecture: all
-Depends: perl5, rawrec, sox, libtime-hires-perl, libterm-readline-gnu-perl, flac, vorbis-tools
+Depends: perl (>= 5.8.0), rawrec, sox, libterm-readline-gnu-perl, flac, vorbis-tools
 Recommends: audio-mixer | aumix | asmixer | gom | cam | mixer.app | tkmixer | xmix
 Suggests:
 Conflicts:

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-# Use debian 2.x policy compatible debhelper semantics.
-export DH_COMPAT=3
+# Use debhelper 4.x compatible debhelper semantics.
+export DH_COMPAT=4
 
 clean: 
 	dh_testdir

## soundgrab 0.9.0-2

=== debian/changelog ===
soundgrab (0.9.0-2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (see #288216); set maintainer to Debian QA Group.
  * debian/postinst, debian/prerm: No-ops; remove.
  * debian/rules: Use dh_perl.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sun, 23 Oct 2005 15:11:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,14 @@
 Source: soundgrab
 Section: sound
 Priority: optional
-Maintainer: Britton Leo Kerin <bkerin@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper
-Standards-Version: 3.5.8.0
+Standards-Version: 3.6.2
 
 Package: soundgrab
 Architecture: all
-Depends: perl (>= 5.8.0), rawrec, sox, libterm-readline-gnu-perl, flac, vorbis-tools
+Depends: ${perl:Depends}, rawrec, sox, libterm-readline-gnu-perl, flac, vorbis-tools
 Recommends: audio-mixer | aumix | asmixer | gom | cam | mixer.app | tkmixer | xmix
-Suggests:
-Conflicts:
-Provides:
-Replaces:
 Description: play a raw audio file and interactively select and save pieces
  From the perl department of the Maximegalon museum of diseased
  imaginings.

=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) EXE_DIR=debian/soundgrab/usr/bin \
		MAN_DIR=debian/soundgrab/usr/share/man/man1 \
		install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
http://prdownloads.sourceforge.net/soundgrab/soundgrab-(.*)\.tar\.gz
